﻿@charset "UTF-8";
/*
$bg1: #0077cc;
$bg2: #ffcc00;
$text1: #ffffff;
$text2: #000000;
    */
:root {
  --af-primary-color: #FF5FB5;
  --af-secondary-color: #46528E;
  --af-darkblue-color: #11162A;
  --af-darkviolet-color: #27182A;
}

/*--------------------------------------------------------------
# Font & Color Variables
--------------------------------------------------------------*/
/* Fonts */
:root {
  --default-font: "Roboto", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --heading-font: "Raleway", sans-serif;
  --nav-font: "Raleway", sans-serif;
}

/* Global Colors - The following color variables are used throughout the website. Updating them here will change the color scheme of the entire website */
:root {
  --background-color: #ffffff; /* Background color for the entire website, including individual sections */
  --default-color: #2f3138; /* Default color used for the majority of the text content across the entire website */
  --heading-color: #0e1b4d; /* Color for headings, subheadings and title throughout the website */
  --accent-color: #f82249; /* Accent color that represents your brand on the website. It's used for buttons, links, and other elements that need to stand out */
  --surface-color: #ffffff; /* The surface color is used as a background of boxed elements within sections, such as cards, icon boxes, or other elements that require a visual separation from the global background. */
  --surface-color-80: #ffffffcc;
  --contrast-color: #ffffff; /* Contrast color for text, ensuring readability against backgrounds of accent, heading, or default colors. */
}

/* Nav Menu Colors - The following color variables are used specifically for the navigation menu. They are separate from the global colors to allow for more customization options */
:root {
  --nav-color: rgba(255, 255, 255, 0.65); /* The default color of the main navmenu links */
  --nav-hover-color: #ffffff; /* Applied to main navmenu links when they are hovered over or active */
  --nav-mobile-background-color: #ffffff; /* Used as the background color for mobile navigation menu */
  --nav-dropdown-background-color: #ffffff; /* Used as the background color for dropdown items that appear when hovering over primary navigation items */
  --nav-dropdown-color: #212529; /* Used for navigation links of the dropdown items in the navigation menu. */
  --nav-dropdown-hover-color: #f82249; /* Similar to --nav-hover-color, this color is applied to dropdown navigation links when they are hovered over. */
}

/* Color Presets - These classes override global colors when applied to any section or element, providing reuse of the sam color scheme. */
.light-background {
  --background-color: #f2f2f3;
  --surface-color: #ffffff;
}

.dark-background {
  --background-color: #000820;
  --default-color: #ffffff;
  --heading-color: #ffffff;
  --surface-color: #001553;
  --contrast-color: #ffffff;
}

.color-af-secondary {
  color: var(--af-secondary-color) !important;
}

.color-af-primary {
  color: var(--af-primary-color) !important;
}

.bg-af-primary {
  background-color: var(--af-primary-color) !important;
}

.bg-af-secondary {
  background-color: var(--af-secondary-color) !important;
}

.bg-af-secondary-d2 {
  background-color: rgb(36.320754717, 42.5471698113, 73.679245283) !important;
}

.bg-af-darkblue {
  background-color: var(--af-darkblue-color) !important;
}

.bg-af-darkviolet {
  background-color: var(--af-darkviolet-color) !important;
}

.cursor-pointer {
  cursor: pointer !important;
}

@media (min-width: 576px) {
  .container, .container-sm {
    max-width: 560px;
  }
}
@media (min-width: 768px) {
  .container, .container-md, .container-sm {
    max-width: 750px;
  }
}
@media (min-width: 992px) {
  .container, .container-lg, .container-md, .container-sm {
    max-width: 970px;
  }
}
@media (min-width: 1200px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl {
    max-width: 1160px;
  }
}
@media (min-width: 1400px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    max-width: 1480px;
  }
}
.text-white-70 {
  --bs-text-opacity: 1;
  color: rgba(255, 255, 255, 0.75) !important;
}

/*--------------------------------------------------------------
# Global Sections
--------------------------------------------------------------*/
section,
.section {
  color: var(--default-color);
  background-color: var(--background-color);
  padding: 60px 0;
  scroll-margin-top: 92px;
  overflow: clip;
}

@media (max-width: 1199px) {
  section,
  .section {
    scroll-margin-top: 76px;
  }
}
/*--------------------------------------------------------------
# Global Section Titles
--------------------------------------------------------------*/
.section-title {
  text-align: center;
  padding-bottom: 60px;
  position: relative;
}

.section-title h2 {
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 20px;
  padding-bottom: 20px;
  position: relative;
}

.section-title h2:after {
  content: "";
  position: absolute;
  display: block;
  width: 50px;
  height: 3px;
  background: var(--accent-color);
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
}

.section-title p {
  margin-bottom: 0;
}

/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/
.hero {
  width: 100%;
  min-height: 100vh;
  position: relative;
  padding: 100px 0 0 0;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.hero img {
  position: absolute;
  inset: 0;
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
}

.hero:before {
  content: "";
  background: color-mix(in srgb, var(--background-color), transparent 30%);
  position: absolute;
  inset: 0;
  z-index: 2;
}

.hero .container {
  position: relative;
  z-index: 3;
}

.hero h2 {
  margin: 0;
  font-size: 48px;
  font-weight: 700;
}

.hero h2 span {
  color: var(--accent-color);
}

.hero p {
  color: color-mix(in srgb, var(--default-color), transparent 20%);
  margin: 10px 0 0 0;
  font-size: 24px;
}

@media (max-width: 768px) {
  .hero h2 {
    font-size: 32px;
    line-height: 36px;
  }
  .hero p {
    font-size: 18px;
    line-height: 24px;
  }
}
.hero .about-info {
  overflow: hidden;
  position: relative;
  padding: 60px 0 40px 0;
  z-index: 2;
  width: 100%;
}

.hero .about-info:before {
  content: "";
  background: color-mix(in srgb, var(--background-color), transparent 50%);
  position: absolute;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
}

.hero .about-info h2 {
  font-size: 36px;
  font-weight: bold;
  margin-bottom: 10px;
  color: #fff;
}

.hero .about-info h3 {
  font-size: 18px;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 10px;
  color: #fff;
}

.hero .about-info p {
  font-size: 14px;
  margin-bottom: 20px;
  color: #fff;
}

.btn-outline-primary {
  --bs-btn-color: #fff;
  --bs-btn-border-color: var(--af-primary-color);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--af-primary-color);
  --bs-btn-hover-border-color: var(--af-primary-color);
  --bs-btn-focus-shadow-rgb: 13, 110, 253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--af-secondary-color);
  --bs-btn-active-border-color: var(--af-secondary-color);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: var(--af-secondary-color);
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: var(--af-secondary-color);
  --bs-gradient: none;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: rgb(255, 44, 157.4125);
  --bs-btn-border-color: rgb(248, 0, 133.3);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #46528E;
  --bs-btn-hover-border-color: rgb(53.1603773585, 62.2735849057, 107.8396226415);
  --bs-btn-focus-shadow-rgb: 49, 132, 253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #0a58ca;
  --bs-btn-active-border-color: #0a53be;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #0d6efd;
  --bs-btn-disabled-border-color: #0d6efd;
}

.buy-tickets .buy-btn {
  color: #fff;
  background-color: rgb(255, 44, 157.4125);
  border: 2px solid rgb(248, 0, 133.3);
  display: inline-block;
  padding: 12px 40px;
  border-radius: 4px;
  transition: none;
  font-size: 16px;
  font-weight: 500;
  transition: 0.3s;
  font-family: var(--heading-font);
}

.buy-tickets .buy-btn:hover {
  background: color-mix(in srgb, rgb(248, 0, 133.3) 90%, transparent 20%);
}

.buy-tickets .featured {
  background: rgb(53.1603773585, 62.2735849057, 107.8396226415);
}

.buy-tickets .featured .buy-btn {
  background: rgb(255, 44, 157.4125);
  color: var(--contrast-color);
  border-color: rgb(248, 0, 133.3);
}

.buy-tickets .featured .buy-btn:hover {
  background: color-mix(in srgb, rgb(248, 0, 133.3) 90%, black 15%);
  color: var(--contrast-color);
}

.img-shuffle-fluid {
  /* width: 100%;
  height: 100%;*/
  object-fit: cover;
  max-height: 100%;
  max-width: 35%;
}

.fade-in {
  animation: fadeIn 2s ease-in-out;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.hm-15 {
  height: 32em !important;
}

.card {
  --bs-card-border-color: var(--bs-border-color-translucent);
  border: var(--bs-card-border-width) solid var(--af-secondary-color);
  background-color: rgb(53.1603773585, 62.2735849057, 107.8396226415);
}

.events .card .badge {
  z-index: 10 !important;
  font-size: 1.5rem !important;
}

.events .card .event-img-container {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.events .card .event-img-container img {
  width: 100%;
  height: 320px !important;
  object-fit: contain;
}

.events .card-img {
  height: 320px !important;
}

.section-title h2 {
  color: rgb(255, 44, 157.4125);
}

.section-title h2:after {
  background-color: rgb(255, 44, 157.4125);
}

.section-title p {
  color: #46528E;
  font-size: 2em;
}

.events .card {
  color: #46528E;
  color: #fff;
}

.events .card a {
  color: rgb(255, 44, 157.4125) !important;
}

.sponsors .client-logo img {
  margin-top: 40px;
  margin-bottom: 40px;
  margin-left: 20px;
  margin-right: 20px;
  padding: 0 !important;
}

.marquee-wrapper {
  position: relative;
  display: flex;
  overflow: hidden;
  gap: 1rem;
  border-radius: 1rem;
}

.marquee-wrapper .marquee-content {
  position: relative;
  display: flex;
  align-items: center;
  flex-shrink: 0;
  gap: 1rem;
  cursor: grab;
}

.marquee-wrapper .marquee-content .card-testimonial {
  max-width: 400px;
  background-color: #333;
  padding: 1rem;
  border-radius: 1rem;
  color: #f5f5f5;
}

.marquee-wrapper .marquee-content .card-testimonial article picture {
  position: relative;
  min-width: 200px;
}

.marquee-wrapper .marquee-content .card-testimonial article picture img {
  width: 100%;
  height: 340px;
  border-radius: 0.5rem;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: 50% 15%;
  object-position: 50% 15%;
}

.marquee-wrapper .marquee-content .card-testimonial article h4 {
  font-size: 20px;
  text-transform: capitalize;
  margin-block: 1rem;
}

.marquee-wrapper .marquee-content .card-testimonial article article.short-description p {
  font-family: var(--ff-heading);
  font-size: 14px;
  font-weight: 300;
  line-height: 20px;
  margin-bottom: 1.2rem;
}

@media (max-width: 1024px) {
  .marquee-wrapper {
    overflow: auto;
  }
}
.scrollingX {
  animation: scroll 45s linear infinite;
}

.marquee-wrapper:hover .scrollingX {
  animation-play-state: paused;
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(calc(-100% - 1rem));
  }
}
.maxw-100 {
  max-width: 100% !important;
}

/* section members */
.member-info h4, .speakers .member-info h4 a, .member-info h5 {
  color: var(--af-primary-color);
}

nav.navbar {
  background-color: rgba(39, 24, 42, 0.86); /* Weiß mit 40% Deckkraft */
  background-blend-mode: overlay; /* mischt Bild und Farbe */
}

nav.navbar .nav-item a.nav-link {
  font-size: 1.5em !important;
  color: white;
}

nav.navbar .nav-item a.nav-link.active {
  color: var(--af-primary-color);
  background-color: transparent;
  border-bottom: 3px solid var(--af-primary-color);
  border-radius: 0;
}

.navbar-toggler, .navbar-toggler-icon {
  color: white;
}

@media (min-width: 992px) {
  section[id] {
    scroll-margin-top: 50px; /* Desktop Navbar */
  }
}
/* Mobile */
@media (max-width: 991.98px) {
  section[id] {
    scroll-margin-top: 450px !important; /* Mobile Navbar */
  }
}
.hero {
  margin-top: -6em !important;
}

.hero-text {
  font-size: calc(1.275rem + 0.3vw) !important; /* Equivalent to fs-4 */
  line-height: 1.5 !important; /* Equivalent to lh-base */
}

.members .member {
  text-align: center;
  position: relative;
  overflow: hidden;
}

.members .member .member-info {
  position: absolute;
  padding: 15px 0;
  inset: auto 0 -44px 0;
  background: rgba(0, 0, 0, 0.6);
  transition: 0.4s;
}

.members .member .member-info-content h4 {
  color: var(--af-primary-color);
  font-weight: 700;
  margin-bottom: 4px;
  font-size: 16px;
}

.members .member .member-info-content h5 {
  color: var(--af-primary-color-d2);
  font-weight: 700;
  margin-bottom: 4px;
  font-size: 16px;
}

.members .member .member-info-content h4 a {
  color: var(--af-primary-color);
}

.members .member .member-info-content h5 a {
  color: var(--af-primary-color-d2);
}

.members .member .member-info-content h4 a:hover, .members .member .member-info-content h5 a:hover {
  color: var(--accent-color);
}

.members .member .member-info-content span {
  font-style: italic;
  display: block;
  font-size: 13px;
}

.members .member .social {
  text-align: center;
  padding-top: 10px;
}

.members .member .social a {
  transition: color 0.3s;
  color: color-mix(in srgb, var(--default-color), transparent 30%);
  margin: 0 4px;
  display: inline-block;
}

.members .member .social a:hover {
  color: var(--default-color);
}

.members .member .social i {
  font-size: 18px;
  margin: 0 2px;
}

.members .member:hover .member-info {
  bottom: 0;
}

ul.objectives {
  list-style-type: none;
  padding-left: 1.5em;
  font-size: 1.1em;
  padding: 0.5em;
}

.members .member .member-info ul li {
  position: relative;
  padding-left: 1em;
  display: inline-flex;
  justify-content: flex-start;
  width: 100%;
}
.members .member .member-info ul li::before {
  content: "";
  position: absolute;
  left: 0em;
  top: 0.6em;
  width: 0.4em;
  height: 0.4em;
  background-color: var(--af-primary-color);
  border-radius: 0;
}

.sponsors .hover-box {
  position: relative;
  display: inline-block;
  padding: 1em;
  background-color: #f8f9fa;
}
.sponsors .hover-box::after {
  content: url("/assets/img/danke.svg");
  position: absolute;
  bottom: 0;
  left: 50%;
  display: block; /* wichtig */
  transform: translate(-50%, -50%);
  background-color: transparent;
  color: var(--af-primary-color);
  padding: 0.65em 1.3em;
  font-size: 1.2em;
  border-radius: 2px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
  z-index: 10;
}
.sponsors .hover-box:hover::after {
  opacity: 0.9;
}

.packages .package ul {
  list-style: none; /* Standard-Bullets entfernen */
  padding-left: 0;
  font-size: 16px;
}

.packages .package li.teaser {
  padding-top: 8px;
  padding-bottom: 6px;
  color: var(--default-color);
  font-family: var(--bs-body-font-family);
}

.packages .package li.teaser::before {
  content: "✔"; /* Unicode für Check */
  color: green;
  margin-right: 8px;
}

.modal-dialog .modal-content {
  background-color: var(--af-darkblue-color);
  color: var(--surface-color-80);
}

.modal-dialog .modal-content .modal-body {
  background-image: url(/assets/img/einzelsportler.jpg);
  background-color: rgba(39, 24, 42, 0.95); /* Weiß mit 40% Deckkraft */
  background-blend-mode: darken; /* mischt Bild und Farbe */
  overflow: hidden;
  background-size: cover;
}

.modal-dialog.DerTriathlonEinsteiger .modal-content .modal-body {
  background-image: url(/assets/img/triathlet.jpg);
}

.modal-dialog.Competitor .modal-content .modal-body {
  background-image: url(/assets/img/competitor.jpg);
}

.modal-dialog .modal-content .modal-header, .modal-dialog .modal-content .btn-close {
  color: var(--heading-color);
}

.modal-dialog .modal-footer button {
  background-color: var(--af-primary-color);
}

.package-info-dlg input.form-control {
  background-color: transparent;
  color: var(--contrast-color);
  padding: 2px;
  padding-left: 1em !important;
  font-size: 18px !important;
}

.package-info-dlg .btn {
  font-size: 18px;
}

.package-info-dlg input.form-control::placeholder {
  color: rgba(0, 0, 0, 0.6);
  margin: 2px;
}

.package-info-dlg .form-floating > label {
  background-color: transparent;
  color: var(--contrast-color);
  padding: 1rem 1.75rem;
}

.package-info-dlg .disclaimer {
  position: absolute;
  left: 13000px;
  visibility: hidden;
  display: none;
}

.package-info-dlg .validation-message {
  font-size: 14px;
  font-weight: bold;
  margin: 3px;
  color: var(--contrast-color);
}

.package-info-dlg .validation-message::before {
  content: "\f82e"; /* Unicode für bi-exclamation-circle */
  font-family: "bootstrap-icons";
  margin-right: 6px;
  color: var(--contrast-color);
}

.package-info-dlg ul {
  list-style: none;
  margin: 0;
  font-size: 18px;
  line-height: 26px;
  display: flex;
  flex-wrap: wrap;
}

.package-info-dlg ul li {
  margin: 12px 0 2px 0;
  padding-bottom: 12px;
  flex: 0 0 33.333%; /* drei Spalten */
  text-align: center;
}

.package-info-dlg ul li::before {
  content: "✔"; /* Unicode für Check */
  color: var(--af-primary-color);
  margin-right: 8px;
  display: inline-block;
  transform: scale(0);
  animation: pop 0.4s ease-out forwards;
  animation-delay: 0.5s; /* Verzögerung von 0,5 Sekunden */
}

.package-info-dlg ul li.text-muted {
  color: var(--af-primary-color) !important;
  font-stretch: extra-expanded;
  font-weight: bolder;
}

@keyframes bounce {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-5px);
  }
}
@keyframes pop {
  0% {
    transform: scale(0);
    opacity: 0;
  }
  80% {
    transform: scale(1.2);
    opacity: 1;
  }
  100% {
    transform: scale(1);
  }
}
.stories .masonry-item .card-img-top {
  width: 100%;
  height: auto;
  display: block;
}

/* Container für Masonry */
.stories .grid {
  display: block; /* Masonry übernimmt das Layout */
  margin-left: -0.5rem; /* Ausgleich für Bootstrap-Gutter */
  margin-right: -0.5rem;
}

.stories .grid .grid-sizer {
  width: 33.333%; /* Beispiel für 3 Spalten */
}

/* Masonry-Items */
.stories .grid-item {
  margin-bottom: 0.5rem; /* Abstand zwischen den Karten */
  margin-bottom: 0;
}

.stories .grid-item .storytext {
  color: var(--contrast-color);
}

/* Optional: Animation beim Layout */
.stories .grid-item {
  transition: transform 0.3s ease, opacity 0.3s ease;
}

/* Karten innerhalb der Items */
.stories .grid-item .card {
  width: 100%;
  border-radius: 8px;
  overflow: hidden;
}

/* Bilder */
.stories .grid-item img {
  display: block;
  width: auto;
  height: auto;
  max-height: 680px;
  object-fit: cover;
  object-position: 1% center;
}

footer a {
  color: rgba(255, 255, 255, 0.86);
}

footer a:hover {
  font-weight: bold;
}

footer h6 {
  color: var(--af-primary-color);
  text-decoration: underline;
  text-decoration-thickness: 2px;
  text-decoration-color: var(--af-primary-color);
  text-underline-offset: 9px; /* Abstand zur Grundlinie */
  margin-bottom: 27px;
  text-align: center;
}

footer div li {
  margin-left: 0px;
  padding-left: 0;
  margin-top: 4px;
  margin-bottom: 4px;
}

footer ul {
  list-style: none;
  padding-inline-start: 0;
}

.modal-dialog.agb .modal-content, .modal-dialog.impressum .modal-content, .modal-dialog.contact .modal-content {
  background-color: var(--surface-color-80) !important;
}

.modal-dialog.agb .modal-content .modal-body {
  background-image: none;
  background-color: var(--surface-color-80);
  color: #0e1b4d;
}

.modal-dialog.modal-dialog-scrollable .modal-content .modal-body {
  overflow: auto !important;
}

.modal-dialog.agb .modal-content .modal-body ghost-post h3 {
  color: var(--af-secondary-color);
  display: block;
}

.modal-dialog.agb .modal-content .modal-body > h3 {
  display: none;
}

.modal-dialog .modal-header, .modal-dialog .modal-footer {
  background-color: var(--af-secondary-color);
}

.modal-dialog.impressum .modal-header h5 {
  color: var(--af-primary-color);
}

.modal-dialog.impressum .modal-content .modal-body {
  background-image: none;
  background-color: var(--surface-color-80);
  color: #0e1b4d;
}

.modal-dialog.impressum .modal-content .modal-body .table > :not(caption) > * > * {
  background-color: var(--surface-color-80) !important;
}

.modal-dialog.impressum .modal-content .modal-body ghost-post h3 {
  color: var(--af-secondary-color);
  display: block;
}

.modal-dialog.impressum .modal-content .modal-body > h3 {
  display: none;
}

.modal-dialog.contact .modal-content .modal-body {
  background-image: none;
  background-color: var(--af-secondary-color);
  background-blend-mode: normal;
  color: var(--surface-color-80);
}

.modal-dialog.contact .modal-content .modal-body > h3 {
  display: none;
}

.modal-dialog.contact .card {
  background-color: transparent;
}

.modal-dialog.contact .card h5 {
  color: var(--af-primary-color);
  font-size: 22px;
}

.modal-dialog.contact .card .card-text {
  font-size: 18px;
  color: var(--surface-color-80);
}

.modal-dialog.contact .card .card-text a {
  font-size: 18px;
  color: var(--surface-color-80);
}

.modal-dialog.contact .card .card-text a:hover {
  font-size: 18px;
  font-weight: bold;
  color: var(--surface-color-80);
}
